- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Windowing::CWindowAttributes Class Reference

List of all members.

## Detailed Description

Attributes of a window.

Date:
  18/03/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CWindowAttributes.hpp,v 1.6 2007/02/08 21:07:54 paul Exp

Definition at line 39 of file CWindowAttributes.hpp.

## Public Types

- enum EWindowStyle {
  e_default = 0,
  e_noMaximiseNoSize,
  e_noMaximiseNoSizeNoClose
  }
    Enumerated default styles of window. More...

## Public Member Functions

- CWindowAttributes ()
- const CColour & getBackgroundColour () const
- double getWindowAlphaValue () const
- long getWindowAlphaValueLong () const
- WindowClass getWindowClass () const
- CWindowIcon * getWindowIcon () const
- long getWindowStyle () const
- long getWindowStyleEx () const
- const CString & getWindowTitle () const
- void initialise (const long style, const long styleEx)
- void initialise (const EWindowStyle style)
- bool isWindowEnabled () const
- CWindowAttributes & operator= (const CWindowAttributes &attributes)
- void setBackgroundColour (const CColour &backgroundColour)
- void setWindowAlphaValue (const double alpha)
- void setWindowAttributes (const CString &title, const CColour &backgroundColour, const double alpha, CWindowIcon *windowIcon, const bool enabled, const bool shadow)
- void setWindowEnabled (const bool enabled)
- void setWindowIcon (CWindowIcon *icon)
- void setWindowTitle (const CString &title)
- bool windowHasShadow () const
- void windowHasShadow (const bool shadow)
- virtual ~CWindowAttributes ()

## Protected Attributes

- double m_alpha
- CColour m_backgroundColour
- bool m_enabled
- bool m_hasShadow
- CString m_title
- WindowClass m_windowClass
- CWindowIcon * m_windowIcon
- WindowAttributes m_windowStyle
- long m_windowStyle
- long m_windowStyleEx

## Member Enumeration Documentation

enum Exponent::GUI::Windowing::CWindowAttributes::EWindowStyle

Enumerated default styles of window.

Enumerator:

  e_default | Default, we can size, max, min, close etc
  e_noMaximiseNoSize | Can't size, cant maximise, can close, can minise
  e_noMaximiseNoSizeNoClose | Cant size, cant maximise, cant close, can minimise

Definition at line 55 of file CWindowAttributes.hpp.

## Constructor & Destructor Documentation

Exponent::GUI::Windowing::CWindowAttributes::CWindowAttributes | ( |  | ) |

Construction

virtual Exponent::GUI::Windowing::CWindowAttributes::~CWindowAttributes | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

const CColour& Exponent::GUI::Windowing::CWindowAttributes::getBackgroundColour | ( |  | ) | const`[inline]`

Get the background colour

Return values:

  | const | CColour& The background colour

Definition at line 198 of file CWindowAttributes.hpp.

References m_backgroundColour.

double Exponent::GUI::Windowing::CWindowAttributes::getWindowAlphaValue | ( |  | ) | const`[inline]`

Get the window alpha value

Return values:

  | double | The alpha level 0 - 1

Definition at line 204 of file CWindowAttributes.hpp.

References m_alpha.

long Exponent::GUI::Windowing::CWindowAttributes::getWindowAlphaValueLong | ( |  | ) | const`[inline]`

Get the window alpha value

Return values:

  | long | Window alpha in range 0 - 255

Definition at line 210 of file CWindowAttributes.hpp.

References m_alpha.

WindowClass Exponent::GUI::Windowing::CWindowAttributes::getWindowClass | ( |  | ) | const`[inline]`

Get the window class

Return values:

  | WindowClass | The class of window

Definition at line 183 of file CWindowAttributes.hpp.

References m_windowClass.

CWindowIcon* Exponent::GUI::Windowing::CWindowAttributes::getWindowIcon | ( |  | ) | const`[inline]`

Get the window icon

Return values:

  | CWindowIcon* | The icon for the window, may be NULL

Definition at line 216 of file CWindowAttributes.hpp.

References m_windowIcon.

long Exponent::GUI::Windowing::CWindowAttributes::getWindowStyle | ( |  | ) | const`[inline]`

Get the style

Return values:

  | long | The platform specific window style

Definition at line 166 of file CWindowAttributes.hpp.

References m_windowStyle.

long Exponent::GUI::Windowing::CWindowAttributes::getWindowStyleEx | ( |  | ) | const`[inline]`

Get the window class

Return values:

  | long | The windows class EX.

Definition at line 175 of file CWindowAttributes.hpp.

References m_windowStyleEx.

const CString& Exponent::GUI::Windowing::CWindowAttributes::getWindowTitle | ( |  | ) | const`[inline]`

Get the window title

Return values:

  | const | CString& The title of the window

Definition at line 192 of file CWindowAttributes.hpp.

References m_title.

void Exponent::GUI::Windowing::CWindowAttributes::initialise | ( | const long | style,
|  | const long | styleEx |
| ) |  |  |

Setup the core window values

Parameters:

  | style | The style
  | styleEx | The ex style

See also:
  CreateWindowEx in patform SDK

void Exponent::GUI::Windowing::CWindowAttributes::initialise | ( | const EWindowStyle | style | ) |

Intialise with a style

Parameters:

  | style | The style to initialise with

bool Exponent::GUI::Windowing::CWindowAttributes::isWindowEnabled | ( |  | ) | const`[inline]`

Is the window enabled?

Return values:

  | bool | True if window is enabled, false otherwise

Definition at line 222 of file CWindowAttributes.hpp.

References m_enabled.

CWindowAttributes& Exponent::GUI::Windowing::CWindowAttributes::operator= | ( | const CWindowAttributes & | attributes | ) |

Assignment operator

Parameters:

  | attributes | The attributes to copy

Return values:

  | CWindowAttributes& | A refernce to this

void Exponent::GUI::Windowing::CWindowAttributes::setBackgroundColour | ( | const CColour & | backgroundColour | ) | `[inline]`

Set the background colour

Parameters:

  | backgroundColour | The background colour of the window

Definition at line 134 of file CWindowAttributes.hpp.

References m_backgroundColour.

void Exponent::GUI::Windowing::CWindowAttributes::setWindowAlphaValue | ( | const double | alpha | ) | `[inline]`

Set the alpha value of the window

Parameters:

  | alpha | The alpha value of the window 0 - 1

Definition at line 140 of file CWindowAttributes.hpp.

References m_alpha.

void Exponent::GUI::Windowing::CWindowAttributes::setWindowAttributes | ( | const CString & | title,
|  | const CColour & | backgroundColour,
|  | const double | alpha,
|  | CWindowIcon * | windowIcon,
|  | const bool | enabled,
|  | const bool | shadow |
| ) |  |  |

Set the attributes of the window

Parameters:

  | title | The title of the window
  | backgroundColour | The background colour of the window
  | alpha | The alpha value of the window 0 - 1
  | windowIcon | The icon for the window
  | enabled | The enable status of the window, true if enabled, false if disabled
  | shadow | Does the window have a shadow?

void Exponent::GUI::Windowing::CWindowAttributes::setWindowEnabled | ( | const bool | enabled | ) | `[inline]`

Set the window enabled

Parameters:

  | enabled | The enable status of the window, true if enabled, false if disabled

Definition at line 152 of file CWindowAttributes.hpp.

References m_enabled.

void Exponent::GUI::Windowing::CWindowAttributes::setWindowIcon | ( | CWindowIcon * | icon | ) |

Set the window icon

Parameters:

  | icon | The icon for the window

void Exponent::GUI::Windowing::CWindowAttributes::setWindowTitle | ( | const CString & | title | ) | `[inline]`

Set the window title

Parameters:

  | title | The title of the window

Definition at line 128 of file CWindowAttributes.hpp.

References m_title.

bool Exponent::GUI::Windowing::CWindowAttributes::windowHasShadow | ( |  | ) | const`[inline]`

Does the window have a shadow?

Return values:

  | bool | True if window has shadow, false otherwise

Definition at line 228 of file CWindowAttributes.hpp.

References m_hasShadow.

void Exponent::GUI::Windowing::CWindowAttributes::windowHasShadow | ( | const bool | shadow | ) | `[inline]`

Set the window shadow useage

Parameters:

  | shadow | Does the window have a shadow?

Definition at line 158 of file CWindowAttributes.hpp.

References m_hasShadow.

## Member Data Documentation

double Exponent::GUI::Windowing::CWindowAttributes::m_alpha`[protected]`

Alpha value for the window

Definition at line 238 of file CWindowAttributes.hpp.

Referenced by getWindowAlphaValue(), getWindowAlphaValueLong(), and setWindowAlphaValue().

CColour Exponent::GUI::Windowing::CWindowAttributes::m_backgroundColour`[protected]`

Background colour of the window

Definition at line 237 of file CWindowAttributes.hpp.

Referenced by getBackgroundColour(), and setBackgroundColour().

bool Exponent::GUI::Windowing::CWindowAttributes::m_enabled`[protected]`

Is the window enabled

Definition at line 240 of file CWindowAttributes.hpp.

Referenced by isWindowEnabled(), and setWindowEnabled().

bool Exponent::GUI::Windowing::CWindowAttributes::m_hasShadow`[protected]`

Does the window have a shadow?

Definition at line 241 of file CWindowAttributes.hpp.

Referenced by windowHasShadow().

CString Exponent::GUI::Windowing::CWindowAttributes::m_title`[protected]`

Title of the window

Definition at line 236 of file CWindowAttributes.hpp.

Referenced by getWindowTitle(), and setWindowTitle().

WindowClass Exponent::GUI::Windowing::CWindowAttributes::m_windowClass`[protected]`

The class of the window

Definition at line 254 of file CWindowAttributes.hpp.

Referenced by getWindowClass().

CWindowIcon* Exponent::GUI::Windowing::CWindowAttributes::m_windowIcon`[protected]`

The icon of the window

Definition at line 239 of file CWindowAttributes.hpp.

Referenced by getWindowIcon().

WindowAttributes Exponent::GUI::Windowing::CWindowAttributes::m_windowStyle`[protected]`

The attributes / style of the window

Definition at line 253 of file CWindowAttributes.hpp.

long Exponent::GUI::Windowing::CWindowAttributes::m_windowStyle`[protected]`

Style of the window

Definition at line 248 of file CWindowAttributes.hpp.

Referenced by getWindowStyle().

long Exponent::GUI::Windowing::CWindowAttributes::m_windowStyleEx`[protected]`

Extended style of the window

Definition at line 249 of file CWindowAttributes.hpp.

Referenced by getWindowStyleEx().